commit:     fc069f6a7cb2bf12b64d844d29a14126b9222bf7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 20 22:55:33 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Jan 20 23:25:46 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fc069f6a

dev-python/blessed: Bump to 1.19.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/blessed/Manifest              |  1 +
 dev-python/blessed/blessed-1.19.1.ebuild | 48 ++++++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/dev-python/blessed/Manifest b/dev-python/blessed/Manifest
index c188407131af..aabdb4a53ae5 100644
--- a/dev-python/blessed/Manifest
+++ b/dev-python/blessed/Manifest
@@ -1 +1,2 @@
 DIST blessed-1.19.0.tar.gz 6653907 BLAKE2B 
ba9c1247562baed398d6570fa97deeaefc325c502e0aed5907ffaf9802978933e9a5bd6c08b4d4c4a449533272005e3272f70dac5852da1c45c6c9644aee9a56
 SHA512 
a64d8d542a1a12b710375592c17d06f28a7c68d76952479738873fb956013f7c65820e797116b6151c2a338cd27cfe91b4ad1a318365357060f38d1ec0adf91e
+DIST blessed-1.19.1.tar.gz 6653802 BLAKE2B 
5755efde3c203ab21a8994e29c55cdaace1cca772c9cdee4343562bb8ee4f9ffdee97d9131646d8385ef7e46664d23723ba46a3807d85623d9512ca40c7c4002
 SHA512 
0d899c42d7c6246362081bdc5d7dd2fcb13209fe0cee7e5a4fa342bdaf16a5cc21ab7e402bc5287ab1239f7e3afb02381e0e57e2d6111b80fe3c52b92cfa0f84

diff --git a/dev-python/blessed/blessed-1.19.1.ebuild 
b/dev-python/blessed/blessed-1.19.1.ebuild
new file mode 100644
index 000000000000..bae365cce1aa
--- /dev/null
+++ b/dev-python/blessed/blessed-1.19.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="Library for making terminal apps using colors, keyboard input and 
positioning"
+HOMEPAGE="https://github.com/jquast/blessed";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/wcwidth[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx docs dev-python/sphinx_rtd_theme
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Skip those extensions as they don't have a Gentoo package
+       # Remove calls to scripts that generate rst files because they
+       # are not present in the tarball
+       sed -e '/sphinxcontrib.manpage/d' -e '/sphinx_paramlinks/d' \
+               -e '/^for script in/,/runpy.run_path/d' \
+               -i docs/conf.py || die
+       # Requires pytest-xdist and has no value for us
+       sed -i '/^looponfailroots =/d' tox.ini || die
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       # COLORTERM must not be truecolor
+       # See https://github.com/jquast/blessed/issues/162
+       # Ignore coverage options
+       COLORTERM= epytest --override-ini="addopts="
+}

Reply via email to